# IRpCommonData Interface Reference

Inherits IRsObject, and IRsObject.

List of all members.

## Public Member Functions
HRESULT | CreatePreferencesFn ([out, retval] IRfPreferencesFn **ppPrefFn)
HRESULT | CreateProjectFn ([out, retval] IRfProjectFn **ppProjectFn)
HRESULT | CreateScanner ([in] IUnknown *pOuter,[out, retval] IUnknown **ppScanner)
HRESULT | CreateProgressReportFn ([out, retval] IRfProgressReport **ppProgressFn)
HRESULT | CreateBitmapFn ([out, retval] IRfBitmapFn **ppBitmapFn)
HRESULT | GetBitmapManager ([out, retval] IRsBitmapManager **ppBitmapMgr)
HRESULT | CreatePreferencesFn ([out, retval] IRfPreferencesFn **ppPrefFn)
HRESULT | CreateProjectFn ([out, retval] IRfProjectFn **ppProjectFn)
HRESULT | CreateScanner ([in] IUnknown *pOuter,[out, retval] IUnknown **ppScanner)
HRESULT | CreateProgressReportFn ([out, retval] IRfProgressReport **ppProgressFn)
HRESULT | CreateBitmapFn ([out, retval] IRfBitmapFn **ppBitmapFn)
HRESULT | GetBitmapManager ([out, retval] IRsBitmapManager **ppBitmapMgr)

## Detailed Description

Common Data package.

## Member Function Documentation

HRESULT IRpCommonData::CreatePreferencesFn | ( | [out, retval] IRfPreferencesFn ** | ppPrefFn | ) |

CreatePreferencesFn

Returns:
  ppPrefFn [out,retval] interface to preferences function set.

HRESULT IRpCommonData::CreateProjectFn | ( | [out, retval] IRfProjectFn ** | ppProjectFn | ) |

CreateProjectFn

Returns:
  ppProjectFn [out,retval] interface to project function set.

HRESULT IRpCommonData::CreateScanner | ( | [in] IUnknown * | pOuter,
|  | [out, retval] IUnknown ** | ppScanner |
| ) |  |  |

CreateScanner

Parameters:

  | pOuter | [in] outer object for aggregation.

Returns:
  ppScanner [out,retval] scanner object.

HRESULT IRpCommonData::CreateProgressReportFn | ( | [out, retval] IRfProgressReport ** | ppProgressFn | ) |

CreateProgressReportFn

Returns:
  ppProgressFn [out,retval] interface to progress report function set.

HRESULT IRpCommonData::CreateBitmapFn | ( | [out, retval] IRfBitmapFn ** | ppBitmapFn | ) |

CreateBitmapFn

Returns:
  ppBitmapFn [out,retval] interface to bitmap function set.

HRESULT IRpCommonData::GetBitmapManager | ( | [out, retval] IRsBitmapManager ** | ppBitmapMgr | ) |

GetBitmapManager

Returns:
  ppBitmapMgr [out,retval] bitmap manager.

HRESULT IRpCommonData::CreatePreferencesFn | ( | [out, retval] IRfPreferencesFn ** | ppPrefFn | ) |

CreatePreferencesFn

Returns:
  ppPrefFn [out,retval] interface to preferences function set.

HRESULT IRpCommonData::CreateProjectFn | ( | [out, retval] IRfProjectFn ** | ppProjectFn | ) |

CreateProjectFn

Returns:
  ppProjectFn [out,retval] interface to project function set.

HRESULT IRpCommonData::CreateScanner | ( | [in] IUnknown * | pOuter,
|  | [out, retval] IUnknown ** | ppScanner |
| ) |  |  |

CreateScanner

Parameters:

  | pOuter | [in] outer object for aggregation.

Returns:
  ppScanner [out,retval] scanner object.

HRESULT IRpCommonData::CreateProgressReportFn | ( | [out, retval] IRfProgressReport ** | ppProgressFn | ) |

CreateProgressReportFn

Returns:
  ppProgressFn [out,retval] interface to progress report function set.

HRESULT IRpCommonData::CreateBitmapFn | ( | [out, retval] IRfBitmapFn ** | ppBitmapFn | ) |

CreateBitmapFn

Returns:
  ppBitmapFn [out,retval] interface to bitmap function set.

HRESULT IRpCommonData::GetBitmapManager | ( | [out, retval] IRsBitmapManager ** | ppBitmapMgr | ) |

GetBitmapManager

Returns:
  ppBitmapMgr [out,retval] bitmap manager.